use crate::actions::{SegmentId, TokenId};

#[derive(Debug)]
pub(crate) struct RootNodeData {
    pub(crate)  segment: SegmentId,
    // Optional root token, because of initialization. Afterwards it will always be present
    pub(crate)  root_token: Option<TokenId>,

}
